package net.waltzstudio.montecarlo.entity.activity;

import org.seasar.extension.jdbc.name.PropertyName;
import net.waltzstudio.base.framework.entity.AuditEntityName;

/**
 * アクティビティEntityName
 */
public interface ActivityName extends AuditEntityName {

	/** ID */
	public static PropertyName<Long> $ID = new PropertyName<Long>("id");

	/** プロジェクトID */
	public static PropertyName<Long> $PROJECT_ID = new PropertyName<Long>("projectId");

	/** パス */
	public static PropertyName<String> $PATH = new PropertyName<String>("path");

	/** アクティビティ */
	public static PropertyName<String> $ACTIVITY = new PropertyName<String>("activity");

}
